cURL
curl --request PUT \ --url https://chat.zoko.io/v2/agent/{id} \ --header 'Content-Type: application/json' \ --header 'apikey: <api-key>' \ --data ' { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "firstName": "<string>", "lastName": "<string>", "email": "<string>", "role": "owner", "active": true, "available": true } '
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "firstName": "<string>", "lastName": "<string>", "email": "<string>", "role": "owner", "active": true, "available": true }
Update an existing agent’s role and availability
Authentication is done via apikey provided for your account
apikey
Include the following in your request header
apikey: "your_apikey_here"
ID or email of the agent
Agent Data
Agent response model
agent id
first name of agent
last name of agent
email of agent
role of the agent
owner
admin
salesman
is the agent active?
Updated agent details